Package: org.gmetrics.metricset

## [Groovy] Class CompositeMetricSet

- org.gmetrics.metricset.CompositeMetricSet

- All Implemented Interfaces and Traits:
    MetricSet

      class CompositeMetricSet

  A `MetricSet` implementation that aggregates a set of MetricSets and Metrics.

  Authors:
    Chris Mair
  Version:
    \$Revision: 85 \$ - \$Date: 2010-02-26 21:51:52 -0500 (Fri, 26 Feb 2010) \$

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addMetric(Metric metric)` Add a single Metric to this MetricSet
    `` | `void` | `addMetricSet(MetricSet metricSet)` Add all of the Metrics within the specified MetricSet to this MetricSet

    ``

    `List`

    `getMetrics()`
    Returns:
      a List of Metric objects.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### void addMetric(Metric metric)

      Add a single Metric to this MetricSet

      Parameters:
        `metric` - - the Metric to add

    - #### void addMetricSet(MetricSet metricSet)

      Add all of the Metrics within the specified MetricSet to this MetricSet

      Parameters:
        `metricSet` - - the MetricSet whose Metrics are to be included

    - #### List getMetrics()

      Returns:
        a List of Metric objects. The returned List is immutable.